わたなべです.

FreeBSD はいまちょっとないんで solaris のほうだけ.

Kazuhiro HIWADA <hiwada / kuee.kyoto-u.ac.jp> writes:

:ruby 1.1b9(98/02/27) [sparc-solaris2.5.1]
:でもやはり TypeError: wrong argument type DBM (expected Data) とか
:言われてしまいます。

拡張モジュールと ruby のバージョンの違いのような.
ちなみにこちらではこんな感じ.
% irb -r dbm
irb(main):001:0> db = DBM.new("t1")
#<DBM:0x12bb88>
irb(main):002:0> db["1"] = "hoge"
"hoge"
irb(main):003:0> db.keys
["1"]
irb(main):004:0> db.size
1
irb(main):005:0> [VERSION, PLATFORM]
["1.1b9_21", "sparc-solaris2.5"]

:#あと、irb と相性のいい ruby のバージョン教えてください(_ _)

注意する点としては 1.1b9_17 以降は GlobalExit を Exception 
にしないといけないのと,
readline を使ってないときは [ruby-list:7667] を当てることかな.

-- 
わたなべひろふみ